clc
disp("-----------DATOS-----------------")
Uglobal = [9.428508865122625e-04;
  -3.808537901568331e-05;
  -4.375463791175089e-04;
   2.744938940693958e-03;
  -6.645962319262729e-05;
  -5.553294028406360e-04]

ang = 90
L = 3
I = 6.75e-4
A = 0.09
E = 21e6
q1 = 5.7143
q2 = 10

disp("-----------CALCULOS-----------------")
sub1 = [cosd(ang) sind(ang) 0;
        -sind(ang) cosd(ang) 0;
        0 0 1];
sub2 = zeros(3,3)
T = [sub1, sub2;
     sub2, sub1];
     
Ulocal = T*Uglobal;

u1 = Ulocal(1)
u2 = Ulocal(2)
u3 = Ulocal(3)
u4 = Ulocal(4)
u5 = Ulocal(5)
u6 = Ulocal(6)

disp("fuera axial")
N = E*A/L*(u4-u1)

disp("constantes de integración")
A = (q2-q1)/L
B = q1

matriz = [0 0 0 1;
          0 0 1 0;
          L^3/6 L^2/2 L 1;
          L^2/2 L 1 0]
indep = [
        E*I*u2;
        E*I*u3;
        E*I*u5+A*L^5/120+B*L^4/24;
        E*I*u6+A*L^4/24+B*L^3/6
        ]
coef = matriz\indep

c1 = coef(1)
c2 = coef(2)

Vo = c1
Vl = -A*L^2/2-B*L+c1
Mo = c2
Ml = -A*L^3/6-B*L^2/2+c1*L+c2

x = linspace(0,L,100)'
M = -A*x.^3/6-B*x.^2/2+c1*x+c2

[x M]
